Page MenuHomePhabricator

Wikilink selection at article preview causes loss of user-made changes to the article
Closed, ResolvedPublic

Description

After I finish my editations in 2.0.108-r-2015-08-04 or 2.0.109-beta-2015-08-21 wikipedia android app I preview my changes. After that I click a newly created wikilink in text and if I press back after reaching the target article I get back to the original article but without my changes. In previous versions of wikipedia android app the Back button would take me to the preview with my edits preserved.

Event Timeline

Wesalius created this task.Aug 25 2015, 9:55 PM
Wesalius raised the priority of this task from to Needs Triage.
Wesalius updated the task description. (Show Details)
Wesalius added a subscriber: Wesalius.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 25 2015, 9:55 PM
Dbrant closed this task as Resolved.Oct 20 2015, 3:23 PM
Dbrant claimed this task.
Dbrant added a subscriber: Dbrant.

This behavior should be improved now (the app will now prompt you with a dialog box if you try to navigate away from the preview). Feel free to reopen if that's not the case.